Package twisted :: Package internet :: Module ssl :: Class Port |
[frames | no frames]

## Class Port

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
              BasePort --+
                         |
                      Port --+
                             |
                            Port

I am an SSL port.

Method Summary
| `__init__(self, port, factory, ctxFactory, backlog, interface, reactor)`
| `_preMakeConnection(self, transport)`
| ``createInternetSocket`(self)` (internal) create an SSL socket
Inherited from Port
| ``__repr__`(self)`
| ``connectionLost`(self, reason)` Cleans up my socket.
| ``doRead`(self)` Called when my socket is ready for reading.
| ``getHost`(self)` Returns a tuple of ('INET', hostname, port).
| ``logPrefix`(self)` Returns the name of my class, to prefix log entries with.
| ``loseConnection`(self, connDone)` Stop accepting connections on this port.
| ``startListening`(self)` Create and bind my socket, and begin listening on it.
| ``stopListening`(self, connDone)` Stop accepting connections on this port.
Inherited from BasePort
| ``doWrite`(self)` Raises a RuntimeError
Inherited from FileDescriptor
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``fileno`(self)` File Descriptor number for select().
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` Reliably write some data.
| ``writeSequence`(self, iovec)`
| ``writeSomeData`(self, data)` Write as much as possible of the given data, immediately.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`class` | `transport` = `twisted.internet.ssl.Server`
Inherited from Port
`int` | `addressFamily` = 2
`int` | `backlog` = 5
`str` | `interface` = `''`
`int` | `sessionno` = 0
`int` | `socketType` = 1
Inherited from FileDescriptor
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`int` | `bufferSize` = 65536
`int` | `connected` = 0
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Method Details

### createInternetSocket(self) (internal) create an SSL socket Overrides: `twisted.internet.tcp.Port.createInternetSocket`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:45 2003 | http://epydoc.sf.net